<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Gang](./bitburner.gang.md) &gt; [createGang](./bitburner.gang.creategang.md)

## Gang.createGang() method

Create a gang.

**Signature:**

```typescript
createGang(faction: FactionName): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

faction


</td><td>

[FactionName](./bitburner.factionname.md)


</td><td>

Name of the faction that you want to create a gang with. This faction must allow this action, and you must be its member.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if the gang was created, false otherwise.

## Remarks

RAM cost: 1GB

Create a gang with the specified faction.

Outside BitNode 2, your karma must be less than or equal to 54000.

